# Exercice 1 du TP 2 de la séquence "Algo : Partie 1"
## Question 1
def gamme_Pythagore( f : float ) -> list :
    ''' Construction de la gamme de Pythagore
        entrée : f est la fréquence de départ
        sortie : liste des 12 notes de la gamme de Pythagore commençant par f
    '''
    # On initialise la liste avec la fréquence de départ
    gamme = [f]
    # On calcule l'octave à ne pas dépasser
    octave = 2 * f
    # On va ensuite répéter 11 fois
    for i in range(11) :
        # le calcul de la note suivante
        frequence = gamme[i] * 1.5
        if frequence > octave :
            frequence = frequence * 0.5
        # l'ajout de cette note (arrondie au centième près) dans la liste
        gamme.append( round(frequence, 2) )
    # On renvoie la liste contenant les 12 notes
    return gamme
## Question 2
print( gamme_Pythagore(261.6) )
## Les notes apparaissent dans l'ordre de leur création.